请选择 进入手机版 | 继续访问电脑版
在线投稿 文字标题 文字标题 文字标题 文字标题 文字标题
切换皮肤
在Apache上运行ruby文件需要启用mod_ruby。Apache还可以通过FastCGI处理ruby文件。在mod_fcgid即FastCGI的帮助下,可以使用多个版本的ruby。
还可以安装apache乘客并配置Apache以使用它来提供ruby页面。
(Phusion Passenger也称为“乘客”是一个免费的Web服务器模块,旨在与Apache和Nginx集成)
在服务器上安装mod_ruby的步骤如下 -
cd /tmpwget http://www.modruby.net/archive/mod_ruby-1.2.6.tar.gztar zxvf mod_ruby-1.2.6.tar.gzcd mod_ruby-1.2.6/                    ./configure.rb --with-apr-includes=/usr/include/apr-1makemake installShell

如何使用Apache运行Ruby?
需要将mod_ruby模块添加到Apache配置,即/etc/httpd/conf.d/ruby.conf并添加以下行。
LoadModule ruby_module modules /mod_ruby.soShell

如果要启用或禁用这些模块,则必须编辑apache配置文件并注释或取消注释这些模块(如果Web服务器已使用这些模块进行编译)。
113619_58292.png
//原文出自【易百教程】,商业转载请联系作者获得授权,非商业转载请保留原文链接:https://www.yiibai.com/apache_http/ruby-with-apache.html



回复

使用道具 举报

    您需要登录后才可以回帖 登录 | 立即注册

    本版积分规则


    Archiver|手机版|小黑屋|齐聚无忧 |网站地图

    Powered by Discuz! X3.4  © 2001-2013 Comsenz Inc.